diff -Nru arduino-mk-0.10/debian/changelog arduino-mk-0.10/debian/changelog
--- arduino-mk-0.10/debian/changelog	2013-05-05 19:19:39.000000000 -0400
+++ arduino-mk-0.10/debian/changelog	2013-07-31 19:21:50.000000000 -0400
@@ -1,3 +1,11 @@
+arduino-mk (0.10-2.1) UNRELEASED; urgency=low
+
+  * Non-maintainer upload.
+  * Use $(wildcard) on list of file types.  (Closes: #718454)
+  * Add default variables for Debian systems.  (Closes: #709115)
+
+ -- Bas Wijnen <wijnen@debian.org>  Wed, 31 Jul 2013 19:19:58 -0400
+
 arduino-mk (0.10-2) unstable; urgency=low
 
   * Merge from experimental to unstable
diff -Nru arduino-mk-0.10/debian/patches/line_count.patch arduino-mk-0.10/debian/patches/line_count.patch
--- arduino-mk-0.10/debian/patches/line_count.patch	2013-05-05 19:18:32.000000000 -0400
+++ arduino-mk-0.10/debian/patches/line_count.patch	2013-07-31 18:56:22.000000000 -0400
@@ -3,10 +3,10 @@
 Author: Ben Hildred <ben@hildred.us>
 Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=702754
 Forwarded: https://github.com/mjoldfield/Arduino-Makefile/pull/34
-Index: arduino-mk/arduino-mk/Arduino.mk
+Index: arduino-mk-0.10/arduino-mk/Arduino.mk
 ===================================================================
---- arduino-mk.orig/arduino-mk/Arduino.mk	2013-05-05 18:24:20.084212878 -0400
-+++ arduino-mk/arduino-mk/Arduino.mk	2013-05-05 18:24:20.076212877 -0400
+--- arduino-mk-0.10.orig/arduino-mk/Arduino.mk	2013-07-31 18:54:47.353399980 -0400
++++ arduino-mk-0.10/arduino-mk/Arduino.mk	2013-07-31 18:56:16.565390945 -0400
 @@ -490,7 +490,12 @@
  CORE_LIB   = $(OBJDIR)/libcore.a
  
@@ -39,8 +39,8 @@
  $(CORE_LIB):	$(CORE_OBJS) $(LIB_OBJS) $(USER_LIB_OBJS)
  		$(AR) rcs $@ $(CORE_OBJS) $(LIB_OBJS) $(USER_LIB_OBJS)
  
-+$(LIB_DEP_FILE):	$(OBJDIR) *.ino *.cpp *.c *.h *.pde
-+		grep -h '^[ 	]*#[ 	]*include[ 	]*<' -- *.ino *.cpp *.c *.h *.pde|sed 's!^.*<\(.*\)\.h>.*!\1!'|sort -u|xargs -d '\n' echo 'ARDUINO_LIBS =' > $(LIB_DEP_FILE)
++$(LIB_DEP_FILE):	$(OBJDIR) $(wildcard *.ino *.cpp *.c *.h *.pde)
++		grep -h '^[ 	]*#[ 	]*include[ 	]*<' -- $(wildcard *.ino *.cpp *.c *.h *.pde)|sed 's!^.*<\(.*\)\.h>.*!\1!'|sort -u|xargs -d '\n' echo 'ARDUINO_LIBS =' > $(LIB_DEP_FILE)
 +		echo >> $(LIB_DEP_FILE)
 +
  $(DEP_FILE):	$(OBJDIR) $(DEPS)
diff -Nru arduino-mk-0.10/debian/patches/mjo_makefile_debianise arduino-mk-0.10/debian/patches/mjo_makefile_debianise
--- arduino-mk-0.10/debian/patches/mjo_makefile_debianise	2013-03-10 17:18:49.000000000 -0400
+++ arduino-mk-0.10/debian/patches/mjo_makefile_debianise	2013-07-31 19:28:15.000000000 -0400
@@ -3,11 +3,11 @@
 Origin: vendor
 Forwarded: not-needed
 
-Index: arduino-mk/arduino-mk/Arduino.mk
+Index: arduino-mk-0.10/arduino-mk/Arduino.mk
 ===================================================================
---- arduino-mk.orig/arduino-mk/Arduino.mk	2012-11-09 11:51:17.281716281 -0500
-+++ arduino-mk/arduino-mk/Arduino.mk	2012-11-11 10:27:28.524096850 -0500
-@@ -120,10 +120,10 @@
+--- arduino-mk-0.10.orig/arduino-mk/Arduino.mk	2013-07-31 19:26:09.233366380 -0400
++++ arduino-mk-0.10/arduino-mk/Arduino.mk	2013-07-31 19:28:05.029337760 -0400
+@@ -120,12 +120,19 @@
  #   ARDUINO_DIR   = /Applications/Arduino.app/Contents/Resources/Java
  #   ARDMK_DIR     = /usr/local
  #
@@ -19,8 +19,17 @@
 +#   ARDMK_DIR     = /usr
  #   AVR_TOOLS_DIR = /usr
  #
++# These are set up as defaults in this Debian version of this Makefile.
++# If your Makefile sets other values, they will override these defaults.
++# Additionally, a default for ARDUINO_PORT is set to
++# /dev/ttyACM* /dev/ttyUSB*
++# This means that on GNU/Linux system you shouldn't need to specify
++# the port in most cases.
++#
  # You can either set these up in the Makefile, or put them in your 
-@@ -154,7 +154,7 @@
+ # environment e.g. in your .bashrc
+ #
+@@ -154,7 +161,7 @@
  #       BOARD_TAG    = uno
  #       ARDUINO_PORT = /dev/cu.usb*
  #
@@ -29,7 +38,7 @@
  #
  # Hopefully these will be self-explanatory but in case they're not:
  #
-@@ -237,10 +237,10 @@
+@@ -237,10 +244,10 @@
  #   ARDUINO_DIR   = /Applications/Arduino.app/Contents/Resources/Java
  #   ARDMK_DIR     = /usr/local
  #
@@ -42,3 +51,16 @@
  #   AVR_TOOLS_DIR = /usr
  #
  #
+@@ -290,6 +297,12 @@
+ ARDUINO_VERSION = 100
+ endif
+ 
++# Set up defaults for Debian
++ARDUINO_DIR	?= /usr/share/arduino
++ARDMK_DIR	?= /usr
++AVR_TOOLS_DIR	?= /usr
++ARDUINO_PORT	?= /dev/ttyACM* /dev/ttyUSB*
++
+ ########################################################################
+ # Arduino and system paths
+ #
